Loading...
Searching...
No Matches
mongocxx::v1::bulk_write::insert_one Class Reference

`#include <mongocxx/v1/bulk_write.hpp>`

## Description

A single "Insert One" write operation.

See also
  - Bulk Write Operations (MongoDB Manual)

## Public Member Functions

| insert_one (bsoncxx::v1::document::value doc)
| Initialize with doc.
bsoncxx::v1::document::value const & | document () const
| Equivalent to this->value.

## Public Attributes

bsoncxx::v1::document::value | value
| The document to be inserted.

## Constructor & Destructor Documentation

## insert_one()

mongocxx::v1::bulk_write::insert_one::insert_one | ( | bsoncxx::v1::document::value | doc | ) |

inline

Initialize with doc.

## Member Function Documentation

## document()

bsoncxx::v1::document::value const & mongocxx::v1::bulk_write::insert_one::document | ( |  | ) | const

inline

Equivalent to this->value.

## Member Data Documentation

## value

bsoncxx::v1::document::value mongocxx::v1::bulk_write::insert_one::value

The document to be inserted.

The documentation for this class was generated from the following file:

- mongocxx/v1/bulk_write.hpp